Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class FreeFormHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ReportItemHandle
                  org.eclipse.birt.report.model.api.FreeFormHandle

All Implemented Interfaces:
  IReportItemMethodContext, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IFreeFormModel, org.eclipse.birt.report.model.elements.interfaces.IReportItemModel, org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel

    public class FreeFormHandle

extends ReportItemHandle
implements org.eclipse.birt.report.model.elements.interfaces.IFreeFormModel

Represents a free-form element. Free-form is the simplest form of report container. A container item holds a collection of other report items. Every item in the container is positioned at an (x, y) location relative to the top left corner of the container. In Free-form elements can be positioned anywhere.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportItemHandle
`DATABINDING_TYPE_DATA, DATABINDING_TYPE_NONE, DATABINDING_TYPE_REPORT_ITEM_REF`

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IFreeFormModel
`REPORT_ITEMS_SLOT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IReportItemModel
`ACL_EXPRESSION_PROP, ALLOW_EXPORT_PROP, BOOKMARK_DISPLAY_NAME_PROP, BOOKMARK_PROP, BOUND_DATA_COLUMNS_PROP, CASCADE_ACL_PROP, CUBE_PROP, DATA_BINDING_REF_PROP, DATA_SET_PROP, HEIGHT_PROP, MULTI_VIEWS_PROP, ON_CREATE_METHOD, ON_PAGE_BREAK_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, PARAM_BINDINGS_PROP, PUSH_DOWN_PROP, TOC_PROP, VISIBILITY_PROP, WIDTH_PROP, X_PROP, Y_PROP, Z_INDEX_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel
`STYLE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.api.elements.IReportItemMethodContext
`ON_CREATE_CONTEXT, ON_PREPARE_CONTEXT, ON_RENDER_CONTEXT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`FreeFormHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.FreeForm element)` Constructs a free-form handle with the given design and the free-from.

Method Summary
`void` | `bringForward(ReportItemHandle content)` Increases the z-index of the given element by 1.
`void` | `bringToFront(ReportItemHandle content)` Increases the z-index of the given element so that the element will have the maximal z-index value.
`SlotHandle` | `getReportItems()` Returns a slot handle to work with the Report Items within the free-form.
`void` | `sendBackward(ReportItemHandle content)` Reduces the z-index of the given element that resides in the freeform.
`void` | `sendToBack(ReportItemHandle content)` Reduces the z-index of the given element so that the element will have the minimal z-index value.

Methods inherited from class org.eclipse.birt.report.model.api.ReportItemHandle
`addColumnBinding, addTOC, addTOC, addView, allowExport, canCascadeACL, cascadeACL, columnBindingsIterator, dropView, findColumnBinding, getACLExpression, getAvailableBindings, getAvailableCubeBindingReferenceList, getAvailableDataBindingReferenceList, getAvailableDataSetBindingReferenceList, getBookmark, getBookmarkDisplayName, getColumnBindings, getCube, getCurrentView, getDataBindingReference, getDataBindingReferenceName, getDataBindingType, getDataSet, getHeight, getMethods, getNamedCubeBindingReferenceList, getNamedDataBindingReferenceList, getNamedDataSetBindingReferenceList, getOnCreate, getOnPageBreak, getOnPrepare, getOnRender, getProperty, getTOC, getTocExpression, getViewHost, getViews, getWidth, getX, getY, getZIndex, paramBindingsIterator, pushDown, removedColumnBinding, removedColumnBindings, removedUnusedColumnBindings, setACLExpression, setAllowExport, setBookmark, setBookmarkDisplayName, setCascadeACL, setCube, setCurrentView, setDataBindingReference, setDataSet, setHeight, setHeight, setOnCreate, setOnPageBreak, setOnPrepare, setOnRender, setPushDown, setTocExpression, setWidth, setWidth, setX, setX, setY, setY, setZIndex, visibilityRulesIterator`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeFormHandle

    public FreeFormHandle(org.eclipse.birt.report.model.core.Module module,
                          org.eclipse.birt.report.model.elements.FreeForm element)

  Constructs a free-form handle with the given design and the free-from. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getReportItems

    public SlotHandle getReportItems()

  Returns a slot handle to work with the Report Items within the free-form.

  Returns:
    a slot handle for the report items in the free-from.
  See Also:
    `SlotHandle`

### bringForward

    public void bringForward(ReportItemHandle content)
                      throws SemanticException

  Increases the z-index of the given element by 1. If the element is not in the freeform, do nothing.

  Parameters:
    `content` - the element
  Throws:
    `SemanticException`

### sendBackward

    public void sendBackward(ReportItemHandle content)
                      throws SemanticException

  Reduces the z-index of the given element that resides in the freeform. If the element is not in the freeform, do nothing.

  Parameters:
    `content` - the element
  Throws:
    `SemanticException`

### bringToFront

    public void bringToFront(ReportItemHandle content)
                      throws SemanticException

  Increases the z-index of the given element so that the element will have the maximal z-index value. If the element is not in the freeform, do nothing.

  Parameters:
    `content` - the element
  Throws:
    `SemanticException`

### sendToBack

    public void sendToBack(ReportItemHandle content)
                    throws SemanticException

  Reduces the z-index of the given element so that the element will have the minimal z-index value. If the element is not in the freeform, do nothing.

  Parameters:
    `content` - the element
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.